### Function

# Gimp RunLoadFunc

since: 3.0

#### Declaration

    GimpValueArray*
    (* GimpRunLoadFunc) (
      GimpProcedure* procedure,
      GimpRunMode run_mode,
      GFile* file,
      GimpMetadata* metadata,
      GimpMetadataLoadFlags* flags,
      GimpProcedureConfig* config,
      gpointer run_data
    )

#### Description [src]

The load function is run during the lifetime of the GIMP session, each time a plug-in load procedure is called.

You are expected to read `file` and create a `GimpImage` out of its data. This image will be the first return value. `metadata` will be filled from metadata from `file` if our infrastructure supports this format. You may tweak this object, for instance adding metadata specific to the format. You can also edit `flags` if you need to filter out some specific common fields. For instance, it is customary to remove a colorspace field with `GimpMetadataLoadFlags` when a profile was added.

Available since: 3.0

#### Parameters

`procedure`

  Type: `GimpProcedure`

  The `GimpProcedure` that runs.

  The data is owned by the caller of the function.

`run_mode`

  Type: `GimpRunMode`

  The `GimpRunMode`.

`file`

  Type: `GFile`

  The `GFile` to load from.

  The data is owned by the caller of the function.

`metadata`

  Type: `GimpMetadata`

  The `GimpMetadata` which will be added to the new image.

  The data is owned by the caller of the function.

`flags`

  Type: `GimpMetadataLoadFlags`

  Flags to filter which metadata will be added..

  The argument will be modified by the function.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.

`config`

  Type: `GimpProcedureConfig`

  The `procedure`‘s remaining arguments.

  The data is owned by the caller of the function.

`run_data`

  Type: `gpointer`

  The run_data given in gimp_load_procedure_new().

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GimpValueArray`

The `procedure`‘s return values.

The caller of the function takes ownership of the data, and is responsible for freeing it.